Package org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalstepscore

## Class ConstraintMatchTotalStepScoreSubSingleStatistic<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,​StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>
    - - org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalstepscore.ConstraintMatchTotalStepScoreSubSingleStatistic<Solution_>

-     public class ConstraintMatchTotalStepScoreSubSingleStatistic<Solution_>
      extends PureSubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<File>` | `graphFileList` |

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic

      `singleStatisticType`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintMatchTotalStepScoreSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(Solver<Solution_> solver)` |
    `protected ConstraintMatchTotalStepScoreStatisticPoint` | `createPointFromCsvLine​(ScoreDefinition scoreDefinition, List<String> csvLine)` |
    `protected String` | `getCsvHeader()` |
    `List<File>` | `getGraphFileList()` |
    `void` | `open​(Solver<Solution_> solver)` |
    `void` | `writeGraphFiles​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic

      `getGraphFile, getStatisticType, toString, writeChartToImageFile`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `getAnchorId, getCsvFile, getCsvFileName, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphFileList

          protected List<File> graphFileList

  - ### Constructor Detail

    - #### ConstraintMatchTotalStepScoreSubSingleStatistic

          public ConstraintMatchTotalStepScoreSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

  - ### Method Detail

    - #### getGraphFileList

          public List<File> getGraphFileList()

      Specified by:
        `getGraphFileList` in class `PureSubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`
      Returns:
        never null

    - #### open

          public void open​(Solver<Solution_> solver)

      Specified by:
        `open` in class `SubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`

    - #### close

          public void close​(Solver<Solution_> solver)

      Specified by:
        `close` in class `SubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`

    - #### getCsvHeader

          protected String getCsvHeader()

      Specified by:
        `getCsvHeader` in class `SubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`

    - #### createPointFromCsvLine

          protected ConstraintMatchTotalStepScoreStatisticPoint createPointFromCsvLine​(ScoreDefinition scoreDefinition,
                                                                                       List<String> csvLine)

      Specified by:
        `createPointFromCsvLine` in class `SubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`

    - #### writeGraphFiles

          public void writeGraphFiles​(BenchmarkReport benchmarkReport)

      Specified by:
        `writeGraphFiles` in class `PureSubSingleStatistic<Solution_,​ConstraintMatchTotalStepScoreStatisticPoint>`